<?php

function verificar($conexao,$numpedido){

		$conexao = $conexao;
		$idpedido = $numpedido;
		$verificar = true;

		//procura usuarios iguais ao digitado na tabela
		$listagem = mysqli_query($conexao, "SELECT * from pedidos where numpedido = '$numpedido' AND datapedido > '2023-01-31 00:00:00'
;");
		//o while repete a criaçao de linhas na tabela igual a quantidade de itens.
		while($linha = mysqli_fetch_array($listagem)) {
				
			$verificar = false;
			}

	return $verificar;

}

function vimport($conexao,$numpedido){

$result_usuario = "UPDATE pedidos SET vimport = 1 WHERE numpedido = '$numpedido';";
$resultado_usuario = mysqli_query($conexao, $result_usuario);


return;
}



function verificarExcluir($conexao,$numpedido,$import){

		$conexao = $conexao;
		$idpedido = $numpedido;
		$ver = true;
		$impor = $import;


		
		$listagem = mysqli_query($conexao, "SELECT * from pedidos where numpedido = '$numpedido';");
		
		while($linha = mysqli_fetch_array($listagem)) {
				
			$pedido =  $linha['numpedido'];

			vimport($conexao,$numpedido,$import);

			$ver = false;

			}


	return $ver;
}

function Excluir($conexao, $import){
$conexao = $conexao;


	$sql = "DELETE FROM pedidos WHERE vimport IS NULL AND numpedido > 0 AND seqsoft != '$import'  ";

	mysqli_query($conexao, $sql);
	$result = "UPDATE pedidos SET vimport = null ";
	$resultado = mysqli_query($conexao, $result);


}